Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model
Class FieldDescriptor

    java.lang.Object
      org.apache.poi.hwpf.model.types.FLDAbstractType
          org.apache.poi.hwpf.model.FieldDescriptor

All Implemented Interfaces:
  HDFType

    public final class FieldDescriptor

extends FLDAbstractType

Class for the FLD structure.

Author:
  Cedric Bosdonnat

Field Summary
`static int` | `FIELD_BEGIN_MARK`
`static int` | `FIELD_END_MARK`
`static int` | `FIELD_SEPARATOR_MARK`

Constructor Summary
`FieldDescriptor(byte[] data)`

Method Summary
`int` | `getBoundaryType()`
`int` | `getFieldType()`
`boolean` | `isHasSep()`
`boolean` | `isLocked()`
`boolean` | `isNested()`
`boolean` | `isPrivateResult()`
`boolean` | `isResultDirty()`
`boolean` | `isResultEdited()`
`boolean` | `isZombieEmbed()`

Methods inherited from class org.apache.poi.hwpf.model.types.FLDAbstractType
`getCh, getChHolder, getFlt, getReserved, getSize, isFDiffer, isFHasSep, isFLocked, isFNested, isFPrivateResult, isFResultDirty, isFResultEdited, isFZombieEmbed, serialize, setCh, setChHolder, setFDiffer, setFHasSep, setFLocked, setFlt, setFNested, setFPrivateResult, setFResultDirty, setFResultEdited, setFZombieEmbed, setReserved, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FIELD_BEGIN_MARK

    public static final int FIELD_BEGIN_MARK

See Also:
  Constant Field Values

### FIELD_SEPARATOR_MARK

    public static final int FIELD_SEPARATOR_MARK

See Also:
  Constant Field Values

### FIELD_END_MARK

    public static final int FIELD_END_MARK

See Also:
  Constant Field Values

Constructor Detail

### FieldDescriptor

    public FieldDescriptor(byte[] data)

Method Detail

### getBoundaryType

    public int getBoundaryType()

### getFieldType

    public int getFieldType()

### isZombieEmbed

    public boolean isZombieEmbed()

### isResultDirty

    public boolean isResultDirty()

### isResultEdited

    public boolean isResultEdited()

### isLocked

    public boolean isLocked()

### isPrivateResult

    public boolean isPrivateResult()

### isNested

    public boolean isNested()

### isHasSep

    public boolean isHasSep()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD